Page MenuHomePhabricator

Convert unique keys into primary keys for some wiki tables on s4
Closed, ResolvedPublic

Description

Pending hosts:

codfw - entire DC

To be run for db2019:

./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=categorylinks "add primary key (cl_from,cl_to)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=categorylinks "drop key cl_from" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=templatelinks "add primary key (tl_from,tl_namespace,tl_title)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=pagelinks "add primary key (pl_from,pl_namespace,pl_title)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=text "drop key old_id, add primary key (old_id)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=imagelinks "drop key il_from, add primary key (il_from,il_to)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=iwlinks "drop key iwl_from, add primary key (iwl_from,iwl_prefix,iwl_title)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=langlinks "drop key ll_from, add primary key (ll_from,ll_lang)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=log_search "drop key ls_field_val, add primary key (ls_field,ls_value,ls_log_id)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=math "drop key math_inputhash, add primary key (math_inputhash)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=module_deps "drop key md_module_skin, add primary key (md_module,md_skin)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=objectcache "drop key keyname, add primary key (keyname)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=querycache_info "drop key  qci_type, add primary key (qci_type)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=site_stats "drop key ss_row_id, add primary key (ss_row_id)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=transcache "drop key tc_url_idx, add primary key (tc_url)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=user_former_groups "drop key ufg_user_group, add primary key (ufg_user,ufg_group)" --method=ddl --replicate
./software/dbtools/osc_host.sh --host=db2019.codfw.wmnet --dblist=/home/marostegui/git/mediawiki-config/dblists/s4.dblist --table=user_properties "drop key user_properties_user_property, add primary key (up_user,up_property)" --method=ddl --replicate

eqiad: all hosts except db1068 (master) and db1091

To be run for each individual host

./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=categorylinks "add primary key (cl_from,cl_to)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=categorylinks "drop key cl_from" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=templatelinks "add primary key (tl_from,tl_namespace,tl_title)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=pagelinks "add primary key (pl_from,pl_namespace,pl_title)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=text "drop key old_id, add primary key (old_id)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=imagelinks "drop key il_from, add primary key (il_from,il_to)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=iwlinks "drop key iwl_from, add primary key (iwl_from,iwl_prefix,iwl_title)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=langlinks "drop key ll_from, add primary key (ll_from,ll_lang)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=log_search "drop key ls_field_val, add primary key (ls_field,ls_value,ls_log_id)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=math "drop key math_inputhash, add primary key (math_inputhash)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=module_deps "drop key md_module_skin, add primary key (md_module,md_skin)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=objectcache "drop key keyname, add primary key (keyname)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=querycache_info "drop key  qci_type, add primary key (qci_type)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=site_stats "drop key ss_row_id, add primary key (ss_row_id)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=transcache "drop key tc_url_idx, add primary key (tc_url)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=user_former_groups "drop key ufg_user_group, add primary key (ufg_user,ufg_group)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=user_properties "drop key user_properties_user_property, add primary key (up_user,up_property)" --method=ddl --no-replicate
  • labsdb1001.eqiad.wmnet
  • labsdb1003.eqiad.wmnet
  • db1069.eqiad.wmnet (Will not be done as s4 will go away from db1069 soon: T166546
  • labsdb1009.eqiad.wmnet
  • labsdb1010.eqiad.wmnet
  • labsdb1011.eqiad.wmnet
  • dbstore1001.eqiad.wmnet
  • dbstore1002.eqiad.wmnet
  • db1095.eqiad.wmnet
  • db1053.eqiad.wmnet
  • db1056.eqiad.wmnet
  • db1059.eqiad.wmnet
  • db1064.eqiad.wmnet
  • db1081.eqiad.wmnet
  • db1084.eqiad.wmnet
  • db1091.eqiad.wmnet
  • db1097.eqiad.wmnet
  • db1068.eqiad.wmnet

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Depool db1064
operations/mediawiki-config : masterdb-eqiad.php: Depool db1056
operations/mediawiki-config : masterdb-eqiad.php: Repool db1053, depool db1056
operations/mediawiki-config : masterdb-eqiad.php: Depool db1053
operations/mediawiki-config : masterdb-eqiad.php: Repool db1059
operations/mediawiki-config : masterdb-eqiad.php: Depool db1059
operations/mediawiki-config : masterdb-eqiad.php: Repool db1084, depool db1081
operations/mediawiki-config : masterdb-eqiad.php: Repool db1091, depool db1084
operations/mediawiki-config : masterdb-eqiad.php: Depool db1091
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097
operations/mediawiki-config : masterdb-eqiad.php: Repool db1097
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Marostegui moved this task from Triage to Next on the DBA board.May 24 2017, 8:35 AM
Marostegui moved this task from Next to In progress on the DBA board.
Marostegui updated the task description. (Show Details)May 24 2017, 8:48 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-24T08:52:35Z] <marostegui> Deploy alter table on codfw master (db2019 and let it replicate) on s4 - T166206

Marostegui updated the task description. (Show Details)May 24 2017, 9:01 AM

Change 355579 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097

https://gerrit.wikimedia.org/r/355579

Change 355579 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097

https://gerrit.wikimedia.org/r/355579

Mentioned in SAL (#wikimedia-operations) [2017-05-25T06:21:31Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1097 - T166206 (duration: 00m 55s)

Marostegui updated the task description. (Show Details)May 25 2017, 6:22 AM

Change 355745 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1097

https://gerrit.wikimedia.org/r/355745

Change 355745 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1097

https://gerrit.wikimedia.org/r/355745

Mentioned in SAL (#wikimedia-operations) [2017-05-26T06:38:53Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1097 - T166206 (duration: 00m 40s)

db2019 (codfw master) finished with all the alters and they are getting replicated downstream

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb2019.codfw.wmnet commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),

Change 355764 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097

https://gerrit.wikimedia.org/r/355764

Change 355764 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097

https://gerrit.wikimedia.org/r/355764

Mentioned in SAL (#wikimedia-operations) [2017-05-26T12:43:58Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1097 - T166206 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-05-26T12:55:01Z] <marostegui> Deploy alter table s4 on db1097 - T166206

Change 355995 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/355995

Change 355995 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/355995

db1097 is now done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb2019.codfw.wmnet commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)May 29 2017, 6:00 AM

Change 355999 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1091, depool db1084

https://gerrit.wikimedia.org/r/355999

Mentioned in SAL (#wikimedia-operations) [2017-05-29T06:01:33Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1091 - T166206 (duration: 03m 01s)

Change 355999 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1091, depool db1084

https://gerrit.wikimedia.org/r/355999

Mentioned in SAL (#wikimedia-operations) [2017-05-29T06:10:24Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1091, depool db1084 - T166206 (duration: 02m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-05-29T06:11:02Z] <marostegui> Deploy alter table on s4 db1084 - T166206

Mentioned in SAL (#wikimedia-operations) [2017-05-29T06:41:25Z] <marostegui> Deploy alter table s4 - dbstore1002 - T166206

db1084 is now done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1084 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)May 30 2017, 6:28 AM

Change 356133 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1084, depool db1081

https://gerrit.wikimedia.org/r/356133

Change 356133 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1084, depool db1081

https://gerrit.wikimedia.org/r/356133

Mentioned in SAL (#wikimedia-operations) [2017-05-30T06:35:43Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1084, depool db1081 - T166206 (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2017-05-30T06:35:52Z] <marostegui> Deploy alter table s4 - db1081 - https://phabricator.wikimedia.org/T166206

db1081 is done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1081 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),

dbstore1002 is done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdbstore1002 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)May 31 2017, 5:59 AM

Change 356333 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1059

https://gerrit.wikimedia.org/r/356333

Change 356333 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1059

https://gerrit.wikimedia.org/r/356333

Mentioned in SAL (#wikimedia-operations) [2017-05-31T06:31:04Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1081, depool db1059 - T166206 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-05-31T06:31:12Z] <marostegui> Deploy alter table on s4 - db1059 - T166206

db1059 is done

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1059 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`)
Marostegui updated the task description. (Show Details)Jun 2 2017, 7:01 AM

Change 356794 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1059

https://gerrit.wikimedia.org/r/356794

Mentioned in SAL (#wikimedia-operations) [2017-06-02T07:36:07Z] <marostegui> Deploy alter table on s4 - labsdb1009 - T166206

Change 356794 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1059

https://gerrit.wikimedia.org/r/356794

Mentioned in SAL (#wikimedia-operations) [2017-06-02T07:43:12Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1059 - T166206 (duration: 00m 39s)

Marostegui updated the task description. (Show Details)Jun 5 2017, 6:05 AM

Change 357182 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1053

https://gerrit.wikimedia.org/r/357182

Change 357182 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1053

https://gerrit.wikimedia.org/r/357182

Mentioned in SAL (#wikimedia-operations) [2017-06-05T06:12:51Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1053 - T166206 (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-06-05T06:13:51Z] <marostegui> Deploy alter table on s4 - db1053 - T166206

Marostegui updated the task description. (Show Details)Jun 5 2017, 6:16 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-05T06:20:06Z] <marostegui> Deploy alter table s4 - on labsdb1001 - T166206

db1053 is done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1053 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)Jun 7 2017, 5:26 AM

Change 357550 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1053, depool db1056

https://gerrit.wikimedia.org/r/357550

Change 357550 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1053, depool db1056

https://gerrit.wikimedia.org/r/357550

Mentioned in SAL (#wikimedia-operations) [2017-06-07T05:35:06Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1053, depool db1056 - T166206 (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2017-06-07T06:49:12Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1056 - T166206 (duration: 00m 44s)

Change 357564 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1056

https://gerrit.wikimedia.org/r/357564

Change 357564 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1056

https://gerrit.wikimedia.org/r/357564

Mentioned in SAL (#wikimedia-operations) [2017-06-07T08:34:35Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1056 - T166206 (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2017-06-07T08:50:19Z] <marostegui> Deploy alter table s4 - db1056 - T166206

Marostegui updated the task description. (Show Details)Jun 8 2017, 5:55 AM

@chasemp @bd808 the ALTER table finished on labsdb1001 and it is already in sync with the master, so I am going to start with labsdb1003. It will take 2-3 days and it will get delayed as well.
Sorry for the inconveniences!

I will start the alter on labsdb1003 Monday instead.

db1056 is done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1056 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)Jun 9 2017, 5:52 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-09T05:57:47Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1056 - T166206 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-06-12T05:38:18Z] <marostegui> Deploy alter table s4 - labsdb1003 - T166206

cloud-services-team I have started the alter table on labsdb1003

Change 358313 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1064

https://gerrit.wikimedia.org/r/358313

Change 358313 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1064

https://gerrit.wikimedia.org/r/358313

Mentioned in SAL (#wikimedia-operations) [2017-06-12T07:19:47Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1064 - T166206 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-06-12T07:21:09Z] <marostegui> Deploy alter table s4 - db1064 - https://phabricator.wikimedia.org/T166206

Mentioned in SAL (#wikimedia-operations) [2017-06-13T09:13:07Z] <marostegui> Deploy alter table s4 - db1095 - T166206

db1064 is done

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1064 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)Jun 13 2017, 12:05 PM

Mentioned in SAL (#wikimedia-operations) [2017-06-13T12:11:13Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1064 - T166206 (duration: 00m 51s)

db1095 is done (as this is sanitarium2, some tables will not exist):

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdb1095 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
ERROR 1146 (42S02) at line 1: Table 'commonswiki.text' doesn't exist
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
ERROR 1146 (42S02) at line 1: Table 'commonswiki.log_search' doesn't exist
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
ERROR 1146 (42S02) at line 1: Table 'commonswiki.objectcache' doesn't exist
querycache_info
ERROR 1146 (42S02) at line 1: Table 'commonswiki.querycache_info' doesn't exist
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
ERROR 1146 (42S02) at line 1: Table 'commonswiki.transcache' doesn't exist
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui updated the task description. (Show Details)Jun 14 2017, 10:40 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-14T11:19:48Z] <marostegui> Deploy alter table s4 - labsdb1011 - T166206

Marostegui updated the task description. (Show Details)Jun 15 2017, 5:40 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-15T05:41:07Z] <marostegui> Deploy alter table s4 - dbstore1001 - T166206

cloud-services-team the alter table on labsdb1003 - s4 instance finished and it is now catching up with the master.

Marostegui updated the task description. (Show Details)Jun 16 2017, 7:41 AM

dbstore1001 is done:

root@neodymium:/home/marostegui# for i in `cat s4_tables`; do echo $i; mysql --skip-ssl -hdbstore1001 commonswiki -e "show create table $i\G" | grep PRIMAR;done
categorylinks
  PRIMARY KEY (`cl_from`,`cl_to`),
templatelinks
  PRIMARY KEY (`tl_from`,`tl_namespace`,`tl_title`),
pagelinks
  PRIMARY KEY (`pl_from`,`pl_namespace`,`pl_title`),
text
  PRIMARY KEY (`old_id`)
imagelinks
  PRIMARY KEY (`il_from`,`il_to`),
iwlinks
  PRIMARY KEY (`iwl_from`,`iwl_prefix`,`iwl_title`),
langlinks
  PRIMARY KEY (`ll_from`,`ll_lang`),
log_search
  PRIMARY KEY (`ls_field`,`ls_value`,`ls_log_id`),
math
  PRIMARY KEY (`math_inputhash`)
module_deps
  PRIMARY KEY (`md_module`,`md_skin`)
objectcache
  PRIMARY KEY (`keyname`),
querycache_info
  PRIMARY KEY (`qci_type`)
site_stats
  PRIMARY KEY (`ss_row_id`)
transcache
  PRIMARY KEY (`tc_url`)
user_former_groups
  PRIMARY KEY (`ufg_user`,`ufg_group`)
user_properties
  PRIMARY KEY (`up_user`,`up_property`),
Marostegui closed this task as Resolved.Jun 19 2017, 6:49 AM
Marostegui updated the task description. (Show Details)